controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionPagina1(){
        return $this->render('pagina1');
    }
    
    public function actionPagina2(){
        return $this->render('pagina',[
            'mensaje' => 'Esta pagina es la numero 2'
        ]);
    }
    
    public function actionPagina3(){
        $frases=[
            "frase 1",
            "frase 2",
            "frase 3"
        ];
        
        $indice=mt_rand(0,count($frases)-1);
        
        return $this->render('pagina',[
            'mensaje' => $frases[$indice]
        ]);
    }
    
    public function actionPagina4(){
        $numeros=[];
             
        
        /**
         * rellenar el array con 10 numeros aleatorios entre 1 y 100
         */
        for($c=0;$c<10;$c++){
            $numeros[$c]= mt_rand(1,100);
        } 
        
        /**
         * concateno todos los elementos del array
         */
        $salida=implode(",", $numeros);
        
        
        return $this->render("pagina",[
           'mensaje' => $salida, 
        ]);
        
    }
    
    public function actionPagina5(){
        return $this->render("dados");
    }
    
    public function actionPagina6(){
        return $this->render("dados_1",[
           "numero" => mt_rand(1,6), 
        ]);
        
    }
    
    public function actionPagina7(){
        if($datos=Yii::$app->request->get()){
            //$operacion=$datos->numero1+$datos->numero2;
            $operacion=$datos["numero1"]+ $datos["numero2"];
            return $this->render("mostrar",[
                "datos" => $datos,
                "resultado" => $operacion,
             ]);
        }else{
            return $this->render("formulario");
        }
    }
    
    public function actionPagina8(){
        
        //cargar los datos que vienen del formulario
        if($datos=Yii::$app->request->get()){
            /*
             * procesamiento de la informacion
             */
            /*
            $resultado["suma"]=$datos["numero1"]+$datos["numero2"]+$datos["numero3"];
            $resultado["resta"]=$datos["numero1"]-$datos["numero2"]-$datos["numero3"];
            $resultado["producto"]=$datos["numero1"]*$datos["numero2"]*$datos["numero3"];
             */
            
            $resultado=[
              "suma" => $datos["numero1"]+$datos["numero2"]+$datos["numero3"],
              "resta" => $datos["numero1"]-$datos["numero2"]-$datos["numero3"],
              "producto" => $datos["numero1"]*$datos["numero2"]*$datos["numero3"],
            ];
            /*
             * mostrar los resultados
             */
            return $this->render("mostrar_1",[
                "datos" => $datos,
                "resultado" => $resultado,
            ]);
        }else{ // aqui se entra cuando cargas el formulario 
            /*
             * introduccion de los datos 
             */
            return $this->render("formulario_1");
        }
        
    }
    
    
    
    
    
    
    
    
    
    public function actionPagina9(){
        if($datos=Yii::$app->request->get()){
            //$operacion=$datos->numero1+$datos->numero2;
            $operacion=$datos["numero1"]+ $datos["numero2"];
            return $this->render("mostrar",[
                "datos" => $datos,
                "resultado" => $operacion,
             ]);
        }else{
            return $this->render("formulario");
        }
    }
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Pagina 1', 'url' => ['/site/pagina1']],
            ['label' => 'Pagina 2', 'url' => ['/site/pagina2']],
            ['label' => 'Pagina 3', 'url' => ['/site/pagina3']],
            ['label' => 'Pagina 4', 'url' => ['/site/pagina4']],
            ['label' => 'Pagina 5', 'url' => ['/site/pagina5']],
            ['label' => 'Pagina 6', 'url' => ['/site/pagina6']],
            ['label' => 'Pagina 7', 'url' => ['/site/pagina7']],
            ['label' => 'Pagina 8', 'url' => ['/site/pagina8']],
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">ejemplo numero 4 de Yii</p>

        <p class="pull-right">Alpe formación</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/dados.php
<?= yii\helpers\Html::img('@web/imgs/1.svg', ['alt' => 'My logo']) ?>

views/site/dados_1.php
<?= yii\helpers\Html::img("@web/imgs/$numero.svg") ?>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/formulario.php
<?php
    use yii\helpers\Url;
?>
<form method="get" action="<?= Url::to('site/pagina7') ?>">
    <div>
        <label>Numero 1</label>
        <input type="text" name="numero1">
    </div>
    <br>
    <div>
        <label>Numero 2</label>
        <input type="text" name="numero2">
    </div>
    <br>
    <button>Enviar</button>
</form>

views/site/formulario_1.php
<?php
    use yii\helpers\Url;
?>
<form method="get" action="<?= Url::to(['site/pagina8']) ?>">
    <div>
        <label>Numero 1</label>
        <input type="text" name="numero1">
    </div>
    <br>
    <div>
        <label>Numero 2</label>
        <input type="text" name="numero2">
    </div>
    <div>
        <label>Numero 3</label>
        <input type="text" name="numero3">
    </div>
    <br>
    <button>Enviar</button>
</form>

views/site/formulario_2.php
<?php
    use yii\helpers\Url;
?>
<form method="get" action="<?= Url::to('site/pagina7') ?>">
<?= Html::beginForm(['/', 'id' => $id], 'post') ?>
    <div>
        <label>Numero 1</label>
        <input type="text" name="numero1">
    </div>
    <br>
    <div>
        <label>Numero 2</label>
        <input type="text" name="numero2">
    </div>
    <br>
    <button>Enviar</button>
</form>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Congratulations!</h1>

        <p class="lead">You have successfully created your Yii-powered application.</p>

        <p><a class="btn btn-lg btn-success" href="http://www.yiiframework.com">Get started with Yii</a></p>
    </div>

    <div class="body-content">

        <div class="row">
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/doc/">Yii Documentation &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/forum/">Yii Forum &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/extensions/">Yii Extensions &raquo;</a></p>
            </div>
        </div>

    </div>
</div>

views/site/mostrar.php
<?php

echo "Los numeros introducidos son" . $datos["numero1"] . "," . $datos["numero2"];
echo "<br>La suma es $resultado";

views/site/mostrar_1.php
<?php

echo "Los numeros introducidos son " 
        . $datos["numero1"] 
        . "," 
        . $datos["numero2"]
        . ","
        . $datos["numero3"];

echo "<br>La suma es " . $resultado["suma"];
echo "<br>La resta es " . $resultado["resta"];
echo "<br>El producto es " . $resultado["producto"];

views/site/pagina.php
<div class="jumbotron">
<?= $mensaje ?>    
</div>

views/site/pagina1.php
 <div class="jumbotron">
    Esta pagina es la numero 1
</div>